libparse-pidl-perl_4.3.8+dfsg-0ubuntu1_amd64.deb


Advertisement

Description

libparse-pidl-perl - IDL compiler written in Perl

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libparse-pidl-perl_4.3.8+dfsg-0ubuntu1_amd64.deb
Package name libparse-pidl-perl
Package version 4.3.8+dfsg
Package release 0ubuntu1
Package architecture amd64
Package type deb
Category perl
Homepage http://www.samba.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 93.34 KB
Installed size 568.00 KB
Samba is an implementation of the SMB/CIFS protocol for Unix systems,
providing support for cross-platform file sharing with Microsoft Windows, OS X,
and other Unix systems.  Samba can also function as a domain controller
or member server in both NT4-style and Active Directory domains.
This package contains the IDL (Interface Description Language) compiler pidl,
which takes in IDL files and can output C code for various uses. It is
primarily of interest to developers.

Alternatives

Package Version Architecture Repository
libparse-pidl-perl_4.3.11+dfsg-0ubuntu0.16.04.21_i386.deb 4.3.11+dfsg i386 Ubuntu Updates Main
libparse-pidl-perl_4.3.11+dfsg-0ubuntu0.16.04.21_amd64.deb 4.3.11+dfsg amd64 Ubuntu Updates Main
libparse-pidl-perl_4.3.8+dfsg-0ubuntu1_i386.deb 4.3.8+dfsg i386 Ubuntu Main
libparse-pidl-perl - - -

Requires

Name Value
libparse-yapp-perl -
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libparse-pidl-perl_4.3.8+dfsg-0ubuntu1_amd64.deb
Source Package samba

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libparse-pidl-perl deb package:
    # sudo apt-get install libparse-pidl-perl

Files

Path
/usr/bin/pidl
/usr/share/doc/libparse-pidl-perl/NEWS.Debian.gz
/usr/share/doc/libparse-pidl-perl/changelog.Debian.gz
/usr/share/doc/libparse-pidl-perl/copyright
/usr/share/man/man1/pidl.1p.gz
/usr/share/man/man3/Parse::Pidl::Dump.3pm.gz
/usr/share/man/man3/Parse::Pidl::NDR.3pm.gz
/usr/share/man/man3/Parse::Pidl::Util.3pm.gz
/usr/share/man/man3/Parse::Pidl::Wireshark::Conformance.3pm.gz
/usr/share/man/man3/Parse::Pidl::Wireshark::NDR.3pm.gz
/usr/share/perl5/Parse/Pidl.pm
/usr/share/perl5/Parse/Pidl/CUtil.pm
/usr/share/perl5/Parse/Pidl/Compat.pm
/usr/share/perl5/Parse/Pidl/Dump.pm
/usr/share/perl5/Parse/Pidl/Expr.pm
/usr/share/perl5/Parse/Pidl/IDL.pm
/usr/share/perl5/Parse/Pidl/NDR.pm
/usr/share/perl5/Parse/Pidl/ODL.pm
/usr/share/perl5/Parse/Pidl/Samba4.pm
/usr/share/perl5/Parse/Pidl/Typelist.pm
/usr/share/perl5/Parse/Pidl/Util.pm
/usr/share/perl5/Parse/Pidl/Samba3/ClientNDR.pm
/usr/share/perl5/Parse/Pidl/Samba3/ServerNDR.pm
/usr/share/perl5/Parse/Pidl/Samba4/Header.pm
/usr/share/perl5/Parse/Pidl/Samba4/Python.pm
/usr/share/perl5/Parse/Pidl/Samba4/TDR.pm
/usr/share/perl5/Parse/Pidl/Samba4/Template.pm
/usr/share/perl5/Parse/Pidl/Samba4/COM/Header.pm
/usr/share/perl5/Parse/Pidl/Samba4/COM/Proxy.pm
/usr/share/perl5/Parse/Pidl/Samba4/COM/Stub.pm
/usr/share/perl5/Parse/Pidl/Samba4/NDR/Client.pm
/usr/share/perl5/Parse/Pidl/Samba4/NDR/Parser.pm
/usr/share/perl5/Parse/Pidl/Samba4/NDR/Server.pm
/usr/share/perl5/Parse/Pidl/Wireshark/Conformance.pm
/usr/share/perl5/Parse/Pidl/Wireshark/NDR.pm

Changelog

2016-04-12 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
samba (2:4.3.8+dfsg-0ubuntu1) xenial; urgency=medium
* SECURITY UPDATE: Updated to 4.3.8 to fix multiple security issues
- CVE-2015-5370: Multiple errors in DCE-RPC code
- CVE-2016-2110: Man in the middle attacks possible with NTLMSSP
- CVE-2016-2111: NETLOGON Spoofing Vulnerability
- CVE-2016-2112: The LDAP client and server don't enforce integrity
protection
- CVE-2016-2113: Missing TLS certificate validation allows man in the
middle attacks
- CVE-2016-2114: "server signing = mandatory" not enforced
- CVE-2016-2115: SMB client connections for IPC traffic are not
integrity protected
- CVE-2016-2118: SAMR and LSA man in the middle attacks possible
* debian/patches/winbind_trusted_domains.patch: make sure domain members
can talk to trusted domains DCs.
2016-03-09 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
samba (2:4.3.6+dfsg-1ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
+ debian/VERSION.patch: Update vendor string to "Ubuntu".
+ debian/smb.conf;
- Add "(Samba, Ubuntu)" to server string.
- Comment out the default [homes] share, and add a comment about "valid users = %s"
to show users how to restrict access to \\server\username to only username.
+ debian/samba-common.config:
- Do not change prioritiy to high if dhclient3 is installed.
+ debian/control:
- Switch build depends from transitional libgnutsl28-dev to libgnutls-dev
+ Add ufw integration:
- Created debian/samba.ufw.profile:
- debian/rules, debian/samba.install: install profile
+ Add apport hook:
- Created debian/source_samba.py.
- debian/rules, debia/samb-common-bin.install: install hook.
+ d/p/krb_zero_cursor.patch - apply proposed-upstream fix for
pam_winbind krb5_ccache_type=FILE failure (LP: #1310919)
2016-02-27 - Jelmer Vernooij <jelmer@debian.org>
samba (2:4.3.6+dfsg-1) unstable; urgency=medium
* New upstream release.
+ Fixes:
- CVE-2015-7560: Incorrect ACL get/set allowed on symlink path.
- CVE-2016-0771 (Out-of-bounds read in internal DNS server.
2016-03-05 - Jelmer Vernooij <jelmer@debian.org>
samba (2:4.3.5+dfsg-1) unstable; urgency=medium
* New upstream release.
* Fixed usershare.patch to apply against new version.
* Loosen dependencies on ldb to ldb >= 1.1.21, per upstream.
* Drop patch sockets-with-htons.patch: applied upstream.
* Bump standards version to 3.9.7 (no changes).
2016-02-04 - Mathieu Parent <sathieu@debian.org>
samba (2:4.3.3+dfsg-2) unstable; urgency=medium
[ Jelmer Vernooij ]
* Add dependency on libtevent-dev in samba-dev.
[ Mathieu Parent ]
* Fix CTDB behavior since CVE-2015-8543 (Closes: #813406)
2016-02-17 - Matthias Klose <doko@ubuntu.com>
samba (2:4.3.3+dfsg-1ubuntu3) xenial; urgency=medium
* No-change rebuild for gnutls transition.
2016-02-15 - Dariusz Gadomski <dariusz.gadomski@canonical.com>
samba (2:4.3.3+dfsg-1ubuntu2) xenial; urgency=medium
* Fixes regression introduced by debian/patches/CVE-2015-5252.patch.
(LP: #1545750)

See Also

Package Description
libparse-yapp-perl_1.05-12_all.deb Perl module for creating fully reentrant LALR parser OO Perl modules
libparted-dev_3.2-15_amd64.deb disk partition manipulator - development files
libparted-fs-resize0_3.2-15_amd64.deb disk partition manipulator - shared FS resizing library
libparted0-dev_3.2-15_all.deb disk partition manipulator - transitional package
libparted2_3.2-15_amd64.deb disk partition manipulator - shared library
libpath-utils-dev_0.5.0-1_amd64.deb Development files for libpath_utils
libpath-utils1_0.5.0-1_amd64.deb Filesystem Path Utilities
libpathplan4_2.38.0-12ubuntu2_amd64.deb rich set of graph drawing tools - pathplan library
libpcap-dev_1.7.4-2_all.deb development library for libpcap (transitional package)
libpcap0.8-dev_1.7.4-2_amd64.deb development library and header files for libpcap0.8
libpcap0.8_1.7.4-2_amd64.deb system interface for user-level packet capture
libpci-dev_3.3.1-1.1ubuntu1_amd64.deb Linux PCI Utilities (development files)
libpci3_3.3.1-1.1ubuntu1_amd64.deb Linux PCI Utilities (shared library)
libpciaccess-dev_0.13.4-1_amd64.deb Generic PCI access library for X - development files
libpciaccess0_0.13.4-1_amd64.deb Generic PCI access library for X
Advertisement
Advertisement